{{- $distro := .distro -}}
{{- $suite := .suite -}}
{{- $radxa_mirror := .radxa_mirror -}}

{{- $architecture := .architecture -}}

architecture: {{ $architecture }}

actions:
  - action: apt
    description: Install Xfce specific packages
    packages:
      - blueman
      - light-locker
      - network-manager-gnome
      - parole
      - pavucontrol
{{ if eq $distro "debian" }}
      - task-xfce-desktop
{{ else }}
      - xfce4
{{ end }}
      - thunar-volman
      - xfce4-clipman
      - xfce4-notifyd
      - xfce4-power-manager
      - xfce4-screenshooter
      - xfce4-terminal

  - action: recipe
    description: Install common desktop packages
    recipe: .desktop.yaml
    variables:
      distro: {{ $distro }}
      suite: {{ $suite }}
      radxa_mirror: {{ $radxa_mirror }}
